#
# spec file for package libxml2-python (Version 2.6.30)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenssl0_9_8 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions popt python python-devel rpm sed sqlite sysvinit tar texinfo timezone util-linux zlib zlib-devel

Name:           libxml2-python
BuildRequires:  libxml2-devel python-devel
License:        X11/MIT
Group:          Development/Libraries/Python
AutoReqProv:    on
Summary:        Python Bindings for libxml2
Version:        2.6.30
Release:        4.2
Source:         libxml2-%{version}.tar.bz2
Source1:        rpmlintrc
%{py_requires}
Requires:       libxml2 = %{version}
# Uncomment to save space:
#NoSource:      0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://xmlsoft.org

%description
The libxml2-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxml2 library to manipulate XML files.

This library allows manipulation of XML files. It includes support for
reading, modifying, and writing XML and HTML files. There is DTD
support that includes parsing and validation even with complex DTDs,
either at parse time or later once the document has been modified.



Authors:
--------
    Daniel Veillard <daniel@veillard.com>
    Bjorn Reese <breese@users.sourceforge.net>
    William Brack <wbrack@mmm.com.hk>
    Igor Zlatkovic <igor@stud.fh-frankfurt.de>

%debug_package
%prep
%setup -q -n libxml2-%{version}

%build
# workaround for 310196
%ifarch s390 s390x
export RPM_OPT_FLAGS=${RPM_OPT_FLAGS/-O2/-O1}
%endif
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
    --with-fexceptions \
    --with-history \
    --enable-ipv6
# use libxml2 as built by libxml2 source package
mkdir .libs
cp -v %{_libdir}/libxml2.la .
make -C python

%install
make -C python install \
	DESTDIR=$RPM_BUILD_ROOT \
	pythondir=%py_sitedir \
	PYTHON_SITE_PACKAGES=%py_sitedir
# Unwanted doc stuff
rm -fr $RPM_BUILD_ROOT%{_datadir}/doc
rm -f python/tests/Makefile*
# #223696
rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc python/TODO
%doc python/libxml2class.txt
%doc python/tests
%{py_sitedir}/*

%changelog
* Tue Sep 18 2007 - sbrabec@suse.cz
- Updated to version 2.6.30:
  * Portability: Solaris crash on error handling, windows path
  fixes, mingw build
  * Bugfixes: xmlXPathNodeSetSort problem, leak when reusing a
  writer for a new document, Schemas xsi:nil handling patch,
  relative URI build problem, crash in xmlDocFormatDump, invalid
  char in comment detection bug, fix disparity with
  xmlSAXUserParseMemory, automata generation for complex regexp
  counts problems, Schemas IDC import problems, xpath predicate
  evailation error handling
* Thu Sep 13 2007 - dmueller@suse.de
- build on s390x
* Mon Aug 20 2007 - sbrabec@suse.cz
- Commented out NoSource to provide comfortable rebuild.
* Tue Jun 05 2007 - prusnak@suse.cz
- suppress spurious-executable-perm for test scripts using rpmlintrc
* Thu May 31 2007 - prusnak@suse.cz
- moved tests to tests subdirectory in docdir
- cleaned spec file
* Tue Apr 24 2007 - prusnak@suse.cz
- updated to 2.6.28:
  * fix the big string memory leak
  * fix whitespace usage
- dropped obsoleted patches:
  * tabs-spaces.patch (included in update)
* Thu Feb 22 2007 - prusnak@suse.cz
- fixed inconsistent use of tabs and spaces in indentation
  (tabs-spaces.patch) by Andreas Hanke [#246203]
* Mon Dec 11 2006 - ke@suse.de
- 2.6.27.
* Tue Nov 28 2006 - ke@suse.de
- Do not install static Python module; reported by Andreas Hanke
  [#223696].
* Fri Jun 16 2006 - ke@suse.de
- 2.6.26.
* Tue May 16 2006 - ke@suse.de
- Version 2.6.24.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 09 2006 - ke@suse.de
- Update to version 2.6.23.
* Fri Sep 16 2005 - ke@suse.de
- Update to version 2.6.22.
- Remove misleading link flag statement; thanks for advise to Dirk
  Mueller.
* Tue Aug 09 2005 - ke@suse.de
- Add missing require statement; reported by Ludwig Nussel [# 95216].
* Mon Jul 11 2005 - ke@suse.de
- Update to version 2.6.20.
* Mon Apr 04 2005 - ke@suse.de
- Update to version 2.6.18.
* Mon Jan 17 2005 - ke@suse.de
- Update to version 2.6.17.
* Wed Nov 24 2004 - mcihar@suse.cz
- use rpm macros to build correcly with current python
* Thu Nov 11 2004 - ke@suse.de
- Update to version 2.6.16.
* Thu Oct 28 2004 - ke@suse.de
- Update to version 2.6.15.
* Thu Oct 07 2004 - ke@suse.de
- Update to version 2.6.14.
* Mon Aug 23 2004 - ke@suse.de
- Update to version 2.6.12; for more info cf. the libxml2 changelog.
* Wed Jul 14 2004 - ke@suse.de
- Update to version 2.6.11; for more info cf. the libxml2 changelog.
* Mon Apr 19 2004 - ke@suse.de
- Update to version 2.6.9; for more info cf. the libxml2 changelog.
* Tue Feb 24 2004 - ke@suse.de
- Update to version 2.6.7; for more info cf. the libxml2 changelog.
* Fri Feb 13 2004 - ke@suse.de
- Update to version 2.6.6; for more info cf. the libxml2 changelog.
* Mon Jan 26 2004 - ke@suse.de
- Update to version 2.6.5; for more info cf. the libxml2 changelog.
* Wed Jan 07 2004 - ke@suse.de
- Update to version 2.6.4; for more info cf. the libxml2 changelog.
* Thu Dec 11 2003 - ke@suse.de
- Update to version 2.6.3; for more info cf. the libxml2 changelog.
* Wed Nov 05 2003 - ke@suse.de
- Update to version 2.6.2; for more info cf. the libxml2 changelog.
* Fri Aug 29 2003 - mcihar@suse.cz
- require same python version as it was built with
* Fri Aug 15 2003 - ke@suse.de
- Update to version 2.5.10; for more info cf. the libxml2 changelog.
* Thu Aug 14 2003 - ke@suse.de
- Update to version 2.5.9; for more info cf. the libxml2 changelog.
* Tue Jul 08 2003 - ke@suse.de
- Update to version 2.5.8; for more info cf. the libxml2 changelog.
* Mon May 26 2003 - ke@suse.de
- Remove unwanted files from $RPM_BUILD_ROOT.
* Mon Apr 28 2003 - ke@suse.de
- Update to version 2.5.7; for more info cf. the libxml2 changelog.
* Wed Apr 02 2003 - ke@suse.de
- Update to version 2.5.6; for more info cf. the libxml2 changelog.
* Wed Mar 26 2003 - ke@suse.de
- Update to version 2.5.5; for more info cf. the libxml2 changelog.
* Tue Feb 11 2003 - ke@suse.de
- Update to version 2.5.3; for more info cf. the libxml2 changelog.
* Thu Feb 06 2003 - ke@suse.de
- Update to version 2.5.2; for more info cf. the libxml2 changelog.
* Thu Jan 09 2003 - ke@suse.de
- Update to version 2.5.1.
* Thu Dec 12 2002 - ke@suse.de
- Update to version 2.4.30.
* Tue Nov 26 2002 - ro@suse.de
- split specfile to get rid of python dependencies in the main tree
